### Method

# Cogl DepthState set_test_enabled

#### Declaration [src]

    void
    cogl_depth_state_set_test_enabled (
      CoglDepthState* state,
      gboolean enable
    )

#### Description [src]

Enables or disables depth testing according to the value of `enable`.

If depth testing is enable then the `CoglDepthTestFunction` set using `cogl_depth_state_set_test_function()` us used to evaluate the depth value of incoming fragments against the corresponding value stored in the current depth buffer, and if the test passes then the fragments depth value is used to update the depth buffer. (unless you have disabled depth writing via cogl_depth_state_set_write_enabled())

By default depth testing is disabled.

NB: this won’t directly affect the state of the GPU. You have to then set the state on a `CoglPipeline` using cogl_pipeline_set_depth_state().

#### Parameters

`enable`

  Type: `gboolean`

  The enable state you want.